<?php
$_PDF="";
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
$LIMPIAR=0;
//+++
$P_C="Com";
$FF="";
//+++++
$Com=trim(V($_POST['Com']));
$Ser=trim(V($_POST['Ser']));
$Num=trim(V($_POST['Num']));
$Dam=trim(V($_POST['Dam']));
//
$Com_=$Com;
$Ser_=vbval($Ser);
$Num_=vbval($Num);
$Dam_=vbval($Dam);
//
$FF=" ID=-1 ";
//
if(strlen($Com)==0 && strlen($Ser)==0 && strlen($Num)==0 && strlen($Dam)==0){
	
}else{
	$FF=" ID>0 ";
	if(strlen($Com)>0){
		$FF=$FF." AND COM='$Com_' ";
	}
	if(strlen($Ser)>0){
		$FF=$FF." AND SER_=$Ser_ ";
	}
	if(strlen($Num)>0){
		$FF=$FF." AND NUM_=$Num_ ";
	}
	if(strlen($Dam)>0){
		$FF=$FF." AND DAM_=$Dam_ ";
	}
}
//
if($StrCmd=="G"){
	foreach($_POST as $key=>$value){
		$N=$key;
		$Vx=$value;
		if(substr($N,0,3)=="PM_"){
			$AR=explode("_",$N);
			$IP=$AR[1];
			$PM=vbval($Vx);
			$s="UPDATE productos SET pro_pv_min=$PM WHERE id_producto=$IP";
			ejt($s);	
			$s="UPDATE t_productos SET pro_pmi=$PM WHERE pro_id=$IP";
			ejt($s);			
		}		
		
		if(substr($N,0,3)=="PW_"){
			$AR=explode("_",$N);
			$IP=$AR[1];
			$PM=vbval($Vx);
			$s="UPDATE productos SET pro_pv_max=$PM WHERE id_producto=$IP";
			ejt($s);	
			$s="UPDATE t_productos SET pro_pma=$PM WHERE pro_id=$IP";
			ejt($s);			
		}		
	}
	$LStrMsg="Datos actualizados";
	$StrGT="S";
}
//
$LStrMsg=BL($StrGT,$LStrMsg,$LStrFoc,$P_C);
?>